forked from confluentinc/cp-helm-charts
-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
Linting script Refactored directory structure Use /docs hook to deploy gh-pages
- Loading branch information
Showing
10 changed files
with
88 additions
and
15 deletions.
There are no files selected for viewing
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
|
@@ -21,4 +21,7 @@ | |
*.tmproj | ||
# Images and archives | ||
*.png | ||
*.tgz | ||
*.tgz | ||
scripts/ | ||
screenshots/ | ||
docs/index.html |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Binary file not shown.
Binary file not shown.
Large diffs are not rendered by default.
Oops, something went wrong.
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,22 @@ | ||
apiVersion: v1 | ||
entries: | ||
cp-helm-charts: | ||
- apiVersion: v1 | ||
appVersion: "1.0" | ||
created: 2018-12-06T16:29:13.664059-05:00 | ||
description: A Helm chart for Confluent Open Source | ||
digest: 54b189f949da3c64a27a6fb1b9652f66a406b5b64273322b07c75caa36243f89 | ||
name: cp-helm-charts | ||
urls: | ||
- cp-helm-charts-0.1.0.tgz | ||
version: 0.1.0 | ||
- apiVersion: v1 | ||
appVersion: "1.0" | ||
created: 2018-12-06T16:29:13.685308-05:00 | ||
description: A Helm chart for Confluent Open Source | ||
digest: b9a653c19e2824c1ba1e3d18c3e0659a9db82a6b038f2ee870cf3e69e1016964 | ||
name: cp-helm-charts | ||
urls: | ||
- docs/cp-helm-charts-0.1.0.tgz | ||
version: 0.1.0 | ||
generated: 2018-12-06T16:29:13.655983-05:00 |
This file was deleted.
Oops, something went wrong.
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,22 @@ | ||
#!/bin/bash | ||
error=0 | ||
RED='\033[0;31m' | ||
RS='\033[0m' # No Color | ||
GREEN='\033[0;32m' | ||
|
||
echo -e "==> ${GREEN}Linting cp-helm-charts..${RS}." | ||
|
||
for chart in `ls -1 charts`; do | ||
echo -e "==> ${GREEN}Linting $chart...${RS}" | ||
#output=`helm lint . --debug --strict 2> /dev/null` | ||
output=`helm lint . --debug 2> /dev/null` | ||
if [ $? -ne 0 ]; then | ||
echo -e "===> ${RED} Liniting errors for chart $chart ${RS}" | ||
echo -e "$output" | grep "\\[" | ||
exit 1 | ||
fi | ||
echo -e "$output" | grep "\\[" | ||
done | ||
echo -e "==> ${GREEN} No linting errors${RS}" | ||
|
||
exit $error |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,30 @@ | ||
#!/usr/bin/env bash | ||
RED='\033[0;31m' | ||
GREEN='\033[0;32m' | ||
BLUE='\033[0;34m' | ||
RS='\033[0m' # reset | ||
|
||
echo -e "${RS}${BLUE} Cleaning and preparing..." | ||
find . -iname "*.tgz" -type f | grep -v 'docs/' | xargs rm | ||
|
||
echo -e "${RS}${BLUE} Linting and checking...${RS}" | ||
scripts/lint.sh | ||
RET=$? | ||
|
||
echo -e "${RS}${BLUE} Packaging charts... ${RS}" | ||
helm package . | ||
RET=$? | ||
|
||
if [[ "${RET}" == 0 ]]; then | ||
helm repo index . | ||
|
||
echo -e "Copying chart packages and index to docs ${RS}" | ||
rm -f docs/*.tgz | ||
rm -f docs/*.yaml | ||
mv ./*.tgz docs/ | ||
mv ./index.yaml docs/ | ||
|
||
echo -e "${BLUE} Now commit and push charts and docs! ${RS}" | ||
else | ||
echo -e "${RED}Tests failed, charts not packaged! ${RS}" | ||
fi |